For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Collection by ID

Collection syncs can now be enabled using the Toggle Global Feature Flag endpoint.

Get Collection by ID

get

Retrieve the Collections details for a given collection_id.

Path parameters
collection_idinteger · int64Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Offers Collection

idinteger · int64Read-onlyRequired
external_idstringRequired

External ID

merchant_idinteger · int32Required

Merchant ID

parent_idinteger · int64 · nullableOptional

Parent ID for platforms that have a parent-child collection structure.

namestring · nullableOptional

Name of this collection

handlestring · nullableOptional

Handle of this collection

descriptionstring · nullableOptional

Description of this collection

statusstring · enumRead-onlyRequired

Status of this collection

Possible values:
typestring · enumRead-onlyRequired

Type of this collection

Possible values:
date_createdstring · date-timeRead-onlyRequired

Date of creation of this collection on platform

date_last_modifiedstring · date-timeRead-onlyRequired

Date of last update of this collection on platform

get/catalog/collections/{collection_id}
GET /v1/catalog/collections/{collection_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "id": 1,
  "external_id": "text",
  "merchant_id": 1,
  "parent_id": 1,
  "name": "text",
  "handle": "text",
  "description": "text",
  "status": "INACTIVE",
  "type": "CUSTOM",
  "media": {
    "source_url": "text",
    "alt": "text",
    "height": 1,
    "width": 1,
    "date_created": "2026-01-01T00:00:00.000Z"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?